com.smartgwt.client.types

## Enum LoadState

- java.lang.Object
- - java.lang.Enum<LoadState>
  - - com.smartgwt.client.types.LoadState

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<LoadState>

      public enum LoadState
      extends java.lang.Enum<LoadState>
      implements ValueEnum

  Trees that dynamically load nodes keep track of whether each node has loaded its children.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOLDERS_LOADED` folders only are already loaded
    `LOADED` already fully loaded
    `LOADING` currently in the process of loading
    `UNLOADED` children have not been loaded and are not loading

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static LoadState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LoadState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNLOADED

          public static final LoadState UNLOADED

      children have not been loaded and are not loading

    - #### LOADING

          public static final LoadState LOADING

      currently in the process of loading

    - #### FOLDERS_LOADED

          public static final LoadState FOLDERS_LOADED

      folders only are already loaded

    - #### LOADED

          public static final LoadState LOADED

      already fully loaded

  - ### Method Detail

    - #### values

          public static LoadState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoadState c : LoadState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoadState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`